apiVersion: apps/v1
kind: Deployment
metadata:
  name: ob-server-consumer
  namespace: observe
  labels:
    app.kubernetes.io/name: ob-server-consumer
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: ob-server-consumer
  replicas: 1
  template:
    metadata:
      labels:
        app.kubernetes.io/name: ob-server-consumer
    spec:
      # nodeName: k8sm1
      containers:
        - name: observe-consumer
          image: reg.cestong.com.cn/cecf/observe-server
          command: ["/app/observe","consumer", "traceurl","-c", "/app/settings.yml"]
          imagePullPolicy: Always
          volumeMounts:
          - name: cm-settings
            mountPath: /app/settings.yml
            subPath: settings.yaml
      volumes:
      - name: cm-settings
        configMap:
          name: ob-server-settings






